Summary:	An open source Linux client for Google Drive
Summary(pl.UTF-8):	Linuksowy, mające otwarte źródła klient Google Drive
Name:		grive2
Version:	0.5.1
Release:	4
License:	GPL v2
Group:		Applications/Networking
#Source0Download: https://github.com/vitalif/grive2/releases
Source0:	https://github.com/vitalif/grive2/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2ffb02ae2ddaba51fc8f31bb322efd93
Patch0:		binutils-2.34.patch
URL:		https://github.com/vitalif/grive2
BuildRequires:	binutils-devel
BuildRequires:	boost-devel >= 1.40.0
BuildRequires:	cmake >= 2.8
BuildRequires:	curl-devel
BuildRequires:	expat-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	yajl-devel
Obsoletes:	grive < 0.3.0-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of this project is to provide an independent
implementation of Google Drive client. It uses the Google Document
List API to talk to the servers in Google.

%description -l pl.UTF-8
Celem tego projektu jest zapewnienie niezależnej implementacji klienta
Google Drive. Do komunikacji z serwerami Google'a wykorzystuje API
Google Document List.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/grive
%dir %{_prefix}/lib/grive
%attr(755,root,root) %{_prefix}/lib/grive/grive-sync.sh
%{systemduserunitdir}/grive-changes@.service
%{systemduserunitdir}/grive-timer@.service
%{systemduserunitdir}/grive-timer@.timer
%{_mandir}/man1/grive.1*
%changelog
* Mon Oct 05 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grive2.git;a=log;h=master

* Mon Oct 05 2020 Jan Rękorajski <baggins@pld-linux.org> ff130b7
- release 4 (by relup.sh)

* Wed Jul 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 58179c0
- release 3 (boost 1.73)

* Sat Jul 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 1ec71e0
- release 2 (libbfd soname change)

* Sat May 02 2020 Jakub Bogusz <qboosh@pld-linux.org> fff1aee
- grive2 is maintained fork of grive (but no bgrive)

* Sat May 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 42b56d9
- versioned BRs

* Sat May 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 47e89ca
- added json-c-0.14 patch; rel 31

* Mon Mar 23 2020 Jan Rękorajski <baggins@pld-linux.org> 5ed4fe4
- bix building with binutils 2.34
- rel 30

* Tue Nov 19 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> e3c199d
- release 29 (by relup.sh)

* Thu Oct 10 2019 Jan Rękorajski <baggins@pld-linux.org> 7e09843
- rebuild with boost 1.71 and icu 65.1
- release 28 (by relup.sh)

* Thu Jun 06 2019 Jan Rękorajski <baggins@pld-linux.org> a8e66de
- update BRs
- rel 27

* Wed Jun 05 2019 Jan Rękorajski <baggins@pld-linux.org> 47b7a29
- release 26 (by relup.sh)

* Thu Apr 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 6870541
- rel 25 (rebuild with boost 1.70)

* Mon Jul 23 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9325d83
- release 24 (by relup.sh)

* Sun Jul 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e7868b
- release 23 (by relup.sh)

* Thu May 10 2018 Jan Rękorajski <baggins@pld-linux.org> c13cb14
- release 22 (by relup.sh)

* Mon Feb 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9750f98
- release 21 (by relup.sh)

* Tue Oct 24 2017 Jan Rękorajski <baggins@pld-linux.org> 34214fd
- rebuild with binutils 2.29
- release 20 (by relup.sh)

* Tue Jun 06 2017 Jakub Bogusz <qboosh@pld-linux.org> ff0fb5c
- rel 19 (rebuild with binutils 2.28)

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> 55e47f1
- rebuild with boost 1.63.0
- release 18 (by relup.sh)

* Sat Dec 17 2016 Jan Rękorajski <baggins@pld-linux.org> af9ec90
- rebuild with binutils 2.27
- release 17 (by relup.sh)

